Đến nội dung


Hình ảnh

Đưa Hết Layer Của Block Về 1 Layer.


  • Please log in to reply
1 reply to this topic

#1 archuyhoang

archuyhoang

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 29 August 2015 - 11:15 AM

e có vấn đề thế này mong rằng khi các bác rảnh rỗi trợ giúp . hỗ trợ em lisp

trên diễn đàn có lip. dùng lệnh B2B.  tất cả block trong bản vẽ về cùng 1 layer

nhưng nó chỉ nằm ở các block đơn giản.  còn các block trong block. thì ko thể thực hiện được các block con bên trong.

 ( các bác chú ý. là layer của block , chứ ko phải layer trong block nhé)

tương tự như thế là các lệnh 

h2h . đưa các hatch về cùng 1 layer thì  trong blok. thậm chí vùng hatch trong block của block cũng ko thực hiện được

t2t . đưa các text trong bản vẽ cũng vậy

d2d . dim cũng vậy ạ. 

 lúc các bác rảnh rỗi giúp em khắc phục cái lisp này nhé.

( em sẽ up cái lisp đó lên để các bác kiểm tra)



 


  • -1

#2 archuyhoang

archuyhoang

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 29 August 2015 - 11:21 AM

sao ko tải lên được líp nhỉ

 

(defun CHANGE-LAYER (_TYPE LAYER / OBJS)
 (setq OBJS (ssget "X" (list (cons 0 _TYPE))))
 (if (not (tblsearch "layer" LAYER))
  (command ".layer" "m" LAYER "")
 );_ end if
 (command ".chprop" OBJS "" "la" LAYER "")
 (princ)
);_ end defun
(defun C:D2D (/ OBJS) (CHANGE-LAYER "DIMENSION" "A.10-DIM"))
(defun C:H2H (/ OBJS) (CHANGE-LAYER "HATCH" "A.12-HACH"))
(defun C:B2B (/ OBJS) (CHANGE-LAYER "INSERT" "A.11-BLOCK"))
(defun C:T2T (/ OBJS) (CHANGE-LAYER "*TEXT" "A.09-GHI CHU"))

  • 0